#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt5-qtspeech
Version		:	5.15.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt5 - Speech component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description
The module enables a Qt application to support
accessibility features such as text-to-speech,
which is useful for end-users who are visually
challenged or cannot access the application for
whatever reason. The most common use case where
text-to-speech comes in handy is when the end-user
is driving and cannot attend the incoming messages
on the phone. In such a scenario, the messaging
application can read out the incoming message.
Qt Serial Port provides the basic functionality,
which includes configuring, I/O operations,
getting and setting the control signals of
the RS-232 pinouts.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.*
%{_qt5_libdir}/libQt5TextToSpeech.so.5*
 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt5_headerdir}/QtTextToSpeech/
%{_qt5_libdir}/libQt5TextToSpeech.so
%{_qt5_libdir}/libQt5TextToSpeech.prl
%{_qt5_libdir}/cmake/Qt5TextToSpeech/Qt5TextToSpeechConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5TextToSpeech.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_texttospeech*.pri

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%license LICENSE.FDL
%{_qt5_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PATH=%{_qt5_bindir}:$PATH
export LD_LIBRARY_PATH=%{_qt5_libdir}

%{__mkdir_p} _bld
pushd _bld > /dev/null
qmake							\
	"CONFIG+=debug"					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd _bld
%{__make}						\
	INSTALL_ROOT="%{buildroot}"			\
	install
popd

#To remove libtool library
find 							\
	%{buildroot}%{_qt5_libdir}			\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
